export declare function setIframe(iframeElement: HTMLIFrameElement): void;
export declare function hasIframe(): boolean;
export declare function clearIframe(): void;
export declare function postRequestToIframe<T>({ callName, data, transfer, awaitResponse, postToOrigin, }: {
    callName: string;
    data?: T;
    transfer?: Transferable[];
    awaitResponse?: boolean;
    postToOrigin?: string;
}): Promise<unknown>;
export declare function postResponseToIframe<T>({ messageId, data, transfer, postToOrigin, }: {
    messageId: string;
    data: T;
    transfer?: Transferable[];
    postToOrigin?: string;
}): void;
