import { postRequestToWorker } from "./postMessage";
export declare function registerMain<T extends Object>(messageDispatcher: T, options: {
    worker: Worker;
}): {
    postToWorker<T_1>(callName: string, data: T_1): Promise<unknown>;
    postToWorkerAwaitResponse<T_2>(callName: string, data: T_2): Promise<unknown>;
    postToWorkerTransferable<T_3>(callName: string, data: T_3, transfer: Transferable[]): Promise<unknown>;
    postToWorkerTransferableAwaitResponse<T_4>(callName: string, data: T_4, transfer: Transferable[]): Promise<unknown>;
    cleanup(): void;
};
export declare const postMessageToWorker: typeof postRequestToWorker;
