import { postRequestToMain } from "./postMessage";
export declare function _setWorkerSelfMockForTest(mockSelf: WorkerGlobalScope): void;
export declare function registerWorker<T extends Object>(messageDispatcher: T): {
    postToMain<T_1>(callName: string, data: T_1): Promise<unknown>;
    postToMainAwaitResponse<T_2>(callName: string, data: T_2): Promise<unknown>;
    postToMainTransferable<T_3>(callName: string, data: T_3, transfer: Transferable[]): Promise<unknown>;
    postToMainTransferableAwaitResponse<T_4>(callName: string, data: T_4, transfer: Transferable[]): Promise<unknown>;
    cleanup: () => void;
};
export declare const postMessageToMain: typeof postRequestToMain;
