import { postRequestToParent } from "./postMessage";
export declare function registerIframe<T extends Object>(messageDispatcher: T, options?: {
    originWhiteList?: string[];
    postToOrigin?: string;
}): {
    postToParent<T_1>(callName: string, data: T_1): Promise<unknown>;
    postToParentAwaitResponse<T_2>(callName: string, data: T_2): Promise<unknown>;
    postToParentTransferable<T_3>(callName: string, data: T_3, transfer: Transferable[]): Promise<unknown>;
    postToParentTransferableAwaitResponse<T_4>(callName: string, data: T_4, transfer: Transferable[]): Promise<unknown>;
    cleanup: () => void;
};
export declare const postMessageToParent: typeof postRequestToParent;
