import { postRequestToIframe } from "./postMessage";
export declare function registerMain<T extends Object>(messageDispatcher: T, options?: {
    originWhiteList?: string[];
    postToOrigin?: string;
    iframeDom?: HTMLIFrameElement;
}): {
    postToIframe<T_1>(callName: string, data: T_1): Promise<unknown>;
    postToIframeAwaitResponse<T_2>(callName: string, data: T_2): Promise<unknown>;
    postToIframeTransferable<T_3>(callName: string, data: T_3, transfer: Transferable[]): Promise<unknown>;
    postToIframeTransferableAwaitResponse<T_4>(callName: string, data: T_4, transfer: Transferable[]): Promise<unknown>;
    cleanup(): void;
};
export declare const postMessageToIframe: typeof postRequestToIframe;
