export declare function setWorker(worker: Worker): void;
export declare function hasWorker(): boolean;
export declare function clearWorker(): void;
export declare function postRequestToWorker<T>({ callName, data, transfer, awaitResponse, }: {
    callName: string;
    data?: T;
    transfer?: Transferable[];
    awaitResponse?: boolean;
}): Promise<unknown>;
export declare function postResponseToWorker<T>({ messageId, data, transfer, }: {
    messageId: string;
    data: T;
    transfer?: Transferable[];
}): void;
