import { MESSAGE_DATA } from "./types";
export declare function commonMessageHandler<T extends Object>({ messageDispatcher, event, postResponse, receiveResponse, }: {
    messageDispatcher: T;
    event: MessageEvent<MESSAGE_DATA>;
    postResponse: (messageId: string, data: any, transfer?: Transferable[]) => void;
    receiveResponse: (messageId: string, data: any) => void;
}): Promise<void>;
